## trunk?format=zip&rev=106

=== vnc/vnc_javasrc/Makefile ===
#
# Making the VNC applet.
#

CP = cp
JC = javac
JCFLAGS = -target 1.1 -source 1.2
JAR = jar
ARCHIVE = VncViewer.jar
MANIFEST = MANIFEST.MF
PAGES = index.vnc
INSTALL_DIR = /usr/local/vnc/classes

CLASSES = VncViewer.class RfbProto.class AuthPanel.class VncCanvas.class \
	  VncCanvas2.class \
	  OptionsFrame.class ClipboardFrame.class ButtonPanel.class \
	  DesCipher.class CapabilityInfo.class CapsContainer.class \
	  RecordingFrame.class SessionRecorder.class \
	  SocketFactory.class HTTPConnectSocketFactory.class \
	  VNCProxyConnectSocketFactory.class VNCProxyConnectSocket.class \
	  HTTPConnectSocket.class ReloginPanel.class \
	  InStream.class MemInStream.class ZlibInStream.class

SOURCES = VncViewer.java RfbProto.java AuthPanel.java VncCanvas.java \
	  VncCanvas2.java \
	  OptionsFrame.java ClipboardFrame.java ButtonPanel.java \
	  DesCipher.java CapabilityInfo.java CapsContainer.java \
	  RecordingFrame.java SessionRecorder.java \
	  SocketFactory.java HTTPConnectSocketFactory.java \
	  VNCProxyConnectSocketFactory.java VNCProxyConnectSocket.java \
	  HTTPConnectSocket.java ReloginPanel.java \
	  InStream.java MemInStream.java ZlibInStream.java

all: $(CLASSES) $(ARCHIVE)

$(CLASSES): $(SOURCES)
	$(JC) $(JCFLAGS) -O $(SOURCES)

$(ARCHIVE): $(CLASSES) $(MANIFEST)
	$(JAR) cfm $(ARCHIVE) $(MANIFEST) $(CLASSES)

install: $(CLASSES) $(ARCHIVE)
	$(CP) $(CLASSES) $(ARCHIVE) $(PAGES) $(INSTALL_DIR)

export:: $(CLASSES) $(ARCHIVE) $(PAGES)
	@$(ExportJavaClasses)

clean::
	$(RM) *.class *.jar

=== packages/xen-3.1/xen-3.1/docs/Makefile ===
#!/usr/bin/make -f

XEN_ROOT=..
include $(XEN_ROOT)/Config.mk
include $(XEN_ROOT)/docs/Docs.mk

VERSION		= xen-unstable

DOC_MAN5SRC	:= $(wildcard man/*.pod.5)
DOC_MAN1SRC	:= $(wildcard man/*.pod.1)
DOC_MAN1	:= $(patsubst man/%.pod.1,man1/%.1,$(DOC_MAN1SRC))
DOC_MAN5	:= $(patsubst man/%.pod.5,man5/%.5,$(DOC_MAN5SRC))
DOC_TEX		:= src/user.tex src/interface.tex
DOC_PS		:= $(patsubst src/%.tex,ps/%.ps,$(DOC_TEX))
DOC_PDF		:= $(patsubst src/%.tex,pdf/%.pdf,$(DOC_TEX))
DOC_HTML	:= $(patsubst src/%.tex,html/%/index.html,$(DOC_TEX))

GFX = $(patsubst %.fig, %.eps, $(wildcard figs/*.fig))

.PHONY: all
all: build

.PHONY: build
build: ps pdf html man-pages
	@if which $(DOT) 1>/dev/null 2>/dev/null ; then              \
	$(MAKE) -C xen-api build ; else                              \
        echo "Graphviz (dot) not installed; skipping xen-api." ; fi
	rm -f *.aux *.dvi *.bbl *.blg *.glo *.idx *.ilg *.log *.ind *.toc

.PHONY: dev-docs
dev-docs: python-dev-docs

.PHONY: ps
ps: $(DOC_PS)

.PHONY: pdf
pdf: $(DOC_PDF)

.PHONY: html
html:
	@if which $(LATEX2HTML) 1>/dev/null 2>/dev/null; then \
	$(MAKE) $(DOC_HTML); fi

.PHONY: python-dev-docs
python-dev-docs:
	@mkdir -v -p api/tools/python
	@if which $(DOXYGEN) 1>/dev/null 2>/dev/null; then         \
        echo "Running doxygen to generate Python tools APIs ... "; \
	$(DOXYGEN) Doxyfile;                                       \
	$(MAKE) -C api/tools/python/latex ; else                   \
        echo "Doxygen not installed; skipping python-dev-docs."; fi

.PHONY: man-pages
man-pages:
	@if which $(POD2MAN) 1>/dev/null 2>/dev/null; then \
	$(MAKE) $(DOC_MAN1) $(DOC_MAN5); fi

man1/%.1: man/%.pod.1 Makefile
	$(INSTALL_DIR) $(@D)
	$(POD2MAN) --release=$(VERSION) --name=`echo $@ | sed 's/^man1.//'| \
		sed 's/.1//'` -s 1 -c "Xen" $< $@

man5/%.5: man/%.pod.5 Makefile
	$(INSTALL_DIR) $(@D)
	$(POD2MAN) --release=$(VERSION) --name=`echo $@ | sed 's/^man5.//'| \
		sed 's/.5//'` -s 5 -c "Xen" $< $@

.PHONY: clean
clean:
	$(MAKE) -C xen-api clean
	rm -rf .word_count *.aux *.dvi *.bbl *.blg *.glo *.idx *~ 
	rm -rf *.ilg *.log *.ind *.toc *.bak core
	rm -rf $(GFX) ps pdf html
	rm -rf api
	rm -rf man5
	rm -rf man1

.PHONY: distclean
distclean: clean

.PHONY: install
install: all
	rm -rf $(DESTDIR)$(pkgdocdir)
	$(INSTALL_DIR) $(DESTDIR)$(pkgdocdir)

	$(MAKE) -C xen-api install

	cp -dR ps $(DESTDIR)$(pkgdocdir)
	cp -dR pdf $(DESTDIR)$(pkgdocdir)
	$(INSTALL_DIR) $(DESTDIR)$(mandir)
	cp -dR man1 $(DESTDIR)$(mandir)
	cp -dR man5 $(DESTDIR)$(mandir)
	[ ! -d html ] || cp -dR html $(DESTDIR)$(pkgdocdir)

pdf/%.pdf: ps/%.ps
	$(INSTALL_DIR) $(@D)
	$(PS2PDF) $< $@.new
	mv $@.new $@

ps/%.ps: %.dvi
	$(INSTALL_DIR) $(@D)
	$(DVIPS) -Ppdf -G0 -o $@.new $<
	mv $@.new $@

%.dvi: src/%.tex $(GFX)
	$(LATEX) $< >/dev/null
	if [ -e $*.toc ] ; then $(LATEX) $< >/dev/null ; fi

%.eps: %.fig
	$(FIG2DEV) -L eps $< $@

html/%/index.html: src/%.tex
	$(INSTALL_DIR) $(@D)
	$(LATEX2HTML) -split 0 -show_section_numbers -toc_depth 3 -nonavigation \
	-numbered_footnotes -local_icons -noinfo -math -dir $(@D) \
	$< 1>/dev/null 2>/dev/null

=== packages/xen-3.1/xen-3.1/tools/Makefile ===
XEN_ROOT = ../
include $(XEN_ROOT)/tools/Rules.mk

SUBDIRS-y :=
SUBDIRS-y += libxc
SUBDIRS-y += xenstore
SUBDIRS-y += misc
SUBDIRS-y += examples
SUBDIRS-y += xentrace
SUBDIRS-$(CONFIG_XCUTILS) += xcutils
SUBDIRS-$(CONFIG_X86) += firmware
SUBDIRS-y += security
SUBDIRS-y += console
SUBDIRS-y += xenmon
SUBDIRS-y += guest-headers
SUBDIRS-$(VTPM_TOOLS) += vtpm_manager
SUBDIRS-$(VTPM_TOOLS) += vtpm
SUBDIRS-y += xenstat
SUBDIRS-y += libaio
SUBDIRS-y += blktap
SUBDIRS-y += libfsimage
SUBDIRS-$(XENFB_TOOLS) += xenfb
SUBDIRS-$(LIBXENAPI_BINDINGS) += libxen

# These don't cross-compile
ifeq ($(XEN_COMPILE_ARCH),$(XEN_TARGET_ARCH))
SUBDIRS-$(PYTHON_TOOLS) += python
SUBDIRS-$(PYTHON_TOOLS) += pygrub
endif

.PHONY: all
all: check
	@set -e; for subdir in $(SUBDIRS-y); do \
		$(MAKE) -C $$subdir $@; \
	done
	$(MAKE) ioemu

.PHONY: install
install: check
	@set -e; for subdir in $(SUBDIRS-y); do \
		$(MAKE) -C $$subdir $@; \
	done
	$(MAKE) ioemuinstall
	$(INSTALL_DIR) $(DESTDIR)/var/xen/dump
	$(INSTALL_DIR) $(DESTDIR)/var/log/xen

.PHONY: clean
clean: check_clean
	@set -e; for subdir in $(SUBDIRS-y); do \
		$(MAKE) -C $$subdir $@; \
	done
	$(MAKE) ioemuclean

.PHONY: distclean
distclean: clean

.PHONY: check
check:
	$(MAKE) -C check

.PHONY: check_clean
check_clean:
	$(MAKE) -C check clean

.PHONY: ioemu ioemuinstall ioemuclean
ifeq ($(CONFIG_IOEMU),y)
export IOEMU_DIR ?= ioemu
ioemu ioemuinstall:
	[ -f $(IOEMU_DIR)/config-host.mak ] || \
	  (cd $(IOEMU_DIR) && sh configure --prefix=/usr)
	$(MAKE) -C $(IOEMU_DIR) $(patsubst ioemu%,%,$@)
ioemuclean:
	$(MAKE) -C $(IOEMU_DIR) distclean
else
ioemu ioemuinstall ioemuclean:
endif

=== packages/xen-common/xen-common/scripts/Makefile ===
ETC_SCRIPTS = \
	qemu-ifup

GLOBAL_SCRIPTS = \
	cpuperf-perfcntr \
	cpuperf-xen \
	xend \
	xenperf \
	xenstore-chmod \
	xenstore-control \
	xenstore-exists \
	xenstore-list \
	xenstore-ls \
	xenstore-read \
	xenstore-rm \
	xenstore-write \
	xentop \
	xentrace \
	xentrace_format \
	xentrace_setmask \
	xentrace_setsize \
	xm

PRIVATE_SCRIPTS = \
	xen-utils-version \
	$(WRAPPER)

WRAPPER = xen-utils-wrapper

ETC_SCRIPTS_DIR = /etc/xen/scripts
GLOBAL_SCRIPTS_DIR = /usr/sbin
PRIVATE_SCRIPTS_DIR = /usr/lib/xen-common/bin

install:
	install -d $(DESTDIR)$(ETC_SCRIPTS_DIR)
	install $(ETC_SCRIPTS) $(DESTDIR)$(ETC_SCRIPTS_DIR)
	install -d $(DESTDIR)$(GLOBAL_SCRIPTS_DIR)
	@for i in $(GLOBAL_SCRIPTS); do \
	    echo ln -s $(PRIVATE_SCRIPTS_DIR)/$(WRAPPER) $(DESTDIR)$(GLOBAL_SCRIPTS_DIR)/$$i; \
	    ln -s $(PRIVATE_SCRIPTS_DIR)/$(WRAPPER) $(DESTDIR)$(GLOBAL_SCRIPTS_DIR)/$$i || exit 1; \
	done
	install -d $(DESTDIR)$(PRIVATE_SCRIPTS_DIR)
	install $(PRIVATE_SCRIPTS) $(DESTDIR)$(PRIVATE_SCRIPTS_DIR)

=== packages/xen-3.1/xen-3.1/linux-2.6-xen-sparse/lib/Makefile ===
#
# Makefile for some libs needed in the kernel.
#

lib-y := errno.o ctype.o string.o vsprintf.o cmdline.o \
	 bust_spinlocks.o rbtree.o radix-tree.o dump_stack.o \
	 idr.o div64.o int_sqrt.o bitmap.o extable.o prio_tree.o \
	 sha1.o

lib-$(CONFIG_SMP) += cpumask.o

lib-y	+= kobject.o kref.o kobject_uevent.o klist.o

obj-y += sort.o parser.o halfmd4.o iomap_copy.o debug_locks.o

ifeq ($(CONFIG_DEBUG_KOBJECT),y)
CFLAGS_kobject.o += -DDEBUG
CFLAGS_kobject_uevent.o += -DDEBUG
endif

obj-$(CONFIG_DEBUG_LOCKING_API_SELFTESTS) += locking-selftest.o
obj-$(CONFIG_DEBUG_SPINLOCK) += spinlock_debug.o
lib-$(CONFIG_RWSEM_GENERIC_SPINLOCK) += rwsem-spinlock.o
lib-$(CONFIG_RWSEM_XCHGADD_ALGORITHM) += rwsem.o
lib-$(CONFIG_SEMAPHORE_SLEEPERS) += semaphore-sleepers.o
lib-$(CONFIG_GENERIC_FIND_NEXT_BIT) += find_next_bit.o
lib-$(CONFIG_GENERIC_HWEIGHT) += hweight.o
obj-$(CONFIG_LOCK_KERNEL) += kernel_lock.o
obj-$(CONFIG_PLIST) += plist.o
obj-$(CONFIG_DEBUG_PREEMPT) += smp_processor_id.o

ifneq ($(CONFIG_HAVE_DEC_LOCK),y)
  lib-y += dec_and_lock.o
endif

obj-$(CONFIG_CRC_CCITT)	+= crc-ccitt.o
obj-$(CONFIG_CRC16)	+= crc16.o
obj-$(CONFIG_CRC32)	+= crc32.o
obj-$(CONFIG_LIBCRC32C)	+= libcrc32c.o
obj-$(CONFIG_GENERIC_IOMAP) += iomap.o
obj-$(CONFIG_GENERIC_ALLOCATOR) += genalloc.o

obj-$(CONFIG_ZLIB_INFLATE) += zlib_inflate/
obj-$(CONFIG_ZLIB_DEFLATE) += zlib_deflate/
obj-$(CONFIG_REED_SOLOMON) += reed_solomon/

obj-$(CONFIG_TEXTSEARCH) += textsearch.o
obj-$(CONFIG_TEXTSEARCH_KMP) += ts_kmp.o
obj-$(CONFIG_TEXTSEARCH_BM) += ts_bm.o
obj-$(CONFIG_TEXTSEARCH_FSM) += ts_fsm.o
obj-$(CONFIG_SMP) += percpu_counter.o
obj-$(CONFIG_AUDIT_GENERIC) += audit.o

obj-$(CONFIG_SWIOTLB) += swiotlb.o
swiotlb-$(CONFIG_XEN) := ../arch/i386/kernel/swiotlb.o

hostprogs-y	:= gen_crc32table
clean-files	:= crc32table.h

$(obj)/crc32.o: $(obj)/crc32table.h

quiet_cmd_crc32 = GEN     $@
      cmd_crc32 = $< > $@

$(obj)/crc32table.h: $(obj)/gen_crc32table
	$(call cmd,crc32)

=== packages/xen-3.1/xen-3.1/tools/examples/Makefile ===
XEN_ROOT = ../../
include $(XEN_ROOT)/tools/Rules.mk

# Init scripts.
XEND_INITD = init.d/xend
XENDOMAINS_INITD = init.d/xendomains
XENDOMAINS_SYSCONFIG = init.d/sysconfig.xendomains

# Xen configuration dir and configs to go there.
XEN_CONFIG_DIR = /etc/xen
XEN_CONFIGS = xend-config.sxp
XEN_CONFIGS += xend-config-xenapi.sxp
XEN_CONFIGS += xm-config.xml
XEN_CONFIGS += xm-config-xenapi.xml
XEN_CONFIGS += xmexample1 
XEN_CONFIGS += xmexample2
XEN_CONFIGS += xmexample.hvm
XEN_CONFIGS += xmexample.vti
XEN_CONFIGS += xend-pci-quirks.sxp
XEN_CONFIGS += xend-pci-permissive.sxp

# Xen script dir and scripts to go there.
XEN_SCRIPT_DIR = /etc/xen/scripts
XEN_SCRIPTS = network-bridge vif-bridge
XEN_SCRIPTS += network-route vif-route
XEN_SCRIPTS += network-nat vif-nat
XEN_SCRIPTS += block
XEN_SCRIPTS += block-enbd block-nbd
XEN_SCRIPTS += blktap
XEN_SCRIPTS += vtpm vtpm-delete
XEN_SCRIPTS += xen-hotplug-cleanup
XEN_SCRIPTS += external-device-migrate
XEN_SCRIPT_DATA = xen-script-common.sh locking.sh logging.sh
XEN_SCRIPT_DATA += xen-hotplug-common.sh xen-network-common.sh vif-common.sh
XEN_SCRIPT_DATA += block-common.sh vtpm-common.sh vtpm-hotplug-common.sh
XEN_SCRIPT_DATA += vtpm-migration.sh vtpm-impl

XEN_HOTPLUG_DIR = /etc/hotplug
XEN_HOTPLUG_SCRIPTS = xen-backend.agent

UDEV_RULES_DIR = /etc/udev
UDEV_RULES = xen-backend.rules

DI = $(if $(DISTDIR),$(shell readlink -f $(DISTDIR)),)
DE = $(if $(DESTDIR),$(shell readlink -f $(DESTDIR)),)
ifeq ($(findstring $(DI),$(DE)),$(DI))
HOTPLUGS=install-hotplug install-udev
else
ifeq ($(shell [ -x /usr/bin/udevinfo ] && [ `/usr/bin/udevinfo -V | sed -e 's/^[^0-9]* \([0-9]\{1,\}\)[^0-9]\{0,\}/\1/'` -ge 059 ] && echo 1),1)
HOTPLUGS=install-udev
else
HOTPLUGS=install-hotplug
endif
endif

.PHONY: all
all:

.PHONY: build
build:

.PHONY: install
install: all install-initd install-configs install-scripts $(HOTPLUGS)

.PHONY: install-initd
install-initd:
	[ -d $(DESTDIR)/etc/init.d ] || $(INSTALL_DIR) $(DESTDIR)/etc/init.d
	[ -d $(DESTDIR)/etc/sysconfig ] || $(INSTALL_DIR) $(DESTDIR)/etc/sysconfig
	$(INSTALL_PROG) $(XEND_INITD) $(DESTDIR)/etc/init.d
	$(INSTALL_PROG) $(XENDOMAINS_INITD) $(DESTDIR)/etc/init.d
	$(INSTALL_PROG) $(XENDOMAINS_SYSCONFIG) $(DESTDIR)/etc/sysconfig/xendomains

.PHONY: install-configs
install-configs: $(XEN_CONFIGS)
	[ -d $(DESTDIR)$(XEN_CONFIG_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_CONFIG_DIR)
	[ -d $(DESTDIR)$(XEN_CONFIG_DIR)/auto ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_CONFIG_DIR)/auto
	for i in $(XEN_CONFIGS); \
	    do [ -e $(DESTDIR)$(XEN_CONFIG_DIR)/$$i ] || \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_CONFIG_DIR); \
	done

.PHONY: install-scripts
install-scripts:
	[ -d $(DESTDIR)$(XEN_SCRIPT_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_SCRIPT_DIR)
	for i in $(XEN_SCRIPTS); \
	    do \
	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
	done
	for i in $(XEN_SCRIPT_DATA); \
	    do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(XEN_SCRIPT_DIR); \
	done

.PHONY: install-hotplug
install-hotplug:
	[ -d $(DESTDIR)$(XEN_HOTPLUG_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(XEN_HOTPLUG_DIR)
	for i in $(XEN_HOTPLUG_SCRIPTS); \
	    do \
	    $(INSTALL_PROG) $$i $(DESTDIR)$(XEN_HOTPLUG_DIR); \
	done

.PHONY: install-udev
install-udev:
	[ -d $(DESTDIR)$(UDEV_RULES_DIR) ] || \
		$(INSTALL_DIR) $(DESTDIR)$(UDEV_RULES_DIR)/rules.d
	for i in $(UDEV_RULES); \
	    do \
	    $(INSTALL_DATA) $$i $(DESTDIR)$(UDEV_RULES_DIR); \
	    ( cd $(DESTDIR)$(UDEV_RULES_DIR)/rules.d ; \
	        ln -sf ../$$i . ) \
	done

.PHONY: clean
clean:

=== packages/xen-3.1/xen-3.1/tools/ioemu/Makefile ===
# Makefile for QEMU.

XEN_ROOT=../..
include $(XEN_ROOT)/tools/Rules.mk

-include config-host.mak

.PHONY: all clean distclean dvi info install install-doc tar tarbin \
	speed test test2 html dvi info

CFLAGS+=-Wall -O2 -g -fno-strict-aliasing -I.
ifdef CONFIG_DARWIN
CFLAGS+= -mdynamic-no-pic
endif
ifeq ($(ARCH),sparc)
CFLAGS+=-mcpu=ultrasparc
endif
LDFLAGS=-g
LIBS=
DEFINES+=-D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
TOOLS=qemu-img$(EXESUF)
ifdef CONFIG_STATIC
LDFLAGS+=-static
endif
ifdef BUILD_DOCS
DOCS=qemu-doc.html qemu-tech.html qemu.1 qemu-img.1
else
DOCS=
endif

TOOLS=

all: $(TOOLS) $(DOCS) recurse-all

subdir-%:
	$(MAKE) -C $(subst subdir-,,$@) all

recurse-all: $(patsubst %,subdir-%, $(TARGET_DIRS))
        
qemu-img$(EXESUF): qemu-img.c block.c block-cow.c block-qcow.c aes.c block-vmdk.c block-cloop.c block-dmg.c block-bochs.c block-vpc.c block-vvfat.c
	$(CC) -DQEMU_TOOL $(CFLAGS) $(LDFLAGS) $(DEFINES) -o $@ $^ -lz $(LIBS)

dyngen$(EXESUF): dyngen.c
	$(HOST_CC) $(CFLAGS) $(DEFINES) -o $@ $^

clean:
# avoid old build problems by removing potentially incorrect old files
	rm -f config.mak config.h op-i386.h opc-i386.h gen-op-i386.h op-arm.h opc-arm.h gen-op-arm.h 
	rm -f *.o *.a $(TOOLS) dyngen$(EXESUF) TAGS *.pod *~ */*~
	$(MAKE) -C tests clean
	for d in $(TARGET_DIRS); do \
	[ -d $$d ] && $(MAKE) -C $$d $@ || exit 0 ; \
        done

distclean: clean
	rm -f config-host.mak config-host.h $(DOCS)
	rm -f qemu-{doc,tech}.{info,aux,cp,dvi,fn,info,ky,log,pg,toc,tp,vr}
	for d in $(TARGET_DIRS); do \
	rm -rf $$d || exit 1 ; \
        done

KEYMAPS=da     en-gb  et  fr     fr-ch  is  lt  modifiers  no  pt-br  sv \
ar      de     en-us  fi  fr-be  hr     it  lv  nl         pl  ru     th \
common  de-ch  es     fo  fr-ca  hu     ja  mk  nl-be      pt  sl     tr

install-doc: $(DOCS)
	mkdir -p "$(DESTDIR)$(docdir)"
	$(INSTALL_DATA) qemu-doc.html  qemu-tech.html "$(DESTDIR)$(docdir)"
ifndef CONFIG_WIN32
	mkdir -p "$(DESTDIR)$(mandir)/man1"
	$(INSTALL_DATA) qemu.1 qemu-img.1 "$(DESTDIR)$(mandir)/man1"
endif

install: all $(if $(BUILD_DOCS),install-doc)
	mkdir -p "$(DESTDIR)$(bindir)"
#	$(INSTALL) -m 755 -s $(TOOLS) "$(DESTDIR)$(bindir)"
#	mkdir -p "$(DESTDIR)$(datadir)"
#	for x in bios.bin vgabios.bin vgabios-cirrus.bin ppc_rom.bin \
#			video.x openbios-sparc32 linux_boot.bin; do \
#		$(INSTALL_DATA) $(SRC_PATH)/pc-bios/$$x "$(DESTDIR)$(datadir)"; \
#	done
ifndef CONFIG_WIN32
	mkdir -p "$(DESTDIR)$(datadir)/keymaps"
	for x in $(KEYMAPS); do \
		$(INSTALL_DATA) $(SRC_PATH)/keymaps/$$x "$(DESTDIR)$(datadir)/keymaps"; \
	done
endif
	for d in $(TARGET_DIRS); do \
	$(MAKE) -C $$d $@ || exit 1 ; \
        done

# various test targets
test speed test2: all
	$(MAKE) -C tests $@

TAGS: 
	etags *.[ch] target-i386-dm/*.[ch] hw/*.[ch]

cscope:
	rm -f ./cscope.*
	find . -name "*.[ch]" -print > ./cscope.files
	cscope -b

# documentation
%.html: %.texi
	texi2html -monolithic -number $<

%.info: %.texi
	makeinfo $< -o $@

%.dvi: %.texi
	texi2dvi $<

qemu.1: qemu-doc.texi
	perl -w $(SRC_PATH)/texi2pod.pl $< qemu.pod
	pod2man --section=1 --center=" " --release=" " qemu.pod > $@

qemu-img.1: qemu-img.texi
	perl -w $(SRC_PATH)/texi2pod.pl $< qemu-img.pod
	pod2man --section=1 --center=" " --release=" " qemu-img.pod > $@

info: qemu-doc.info qemu-tech.info

dvi: qemu-doc.dvi qemu-tech.dvi

html: qemu-doc.html qemu-tech.html

FILE=qemu-$(shell cat VERSION)

# tar release (use 'make -k tar' on a checkouted tree)
tar:
	rm -rf /tmp/$(FILE)
	cp -r . /tmp/$(FILE)
	( cd /tmp ; tar zcvf ~/$(FILE).tar.gz $(FILE) --exclude CVS )
	rm -rf /tmp/$(FILE)

# generate a binary distribution
tarbin:
	( cd / ; tar zcvf ~/qemu-$(VERSION)-i386.tar.gz \
	$(bindir)/qemu \
	$(bindir)/qemu-system-ppc \
	$(bindir)/qemu-system-sparc \
	$(bindir)/qemu-system-x86_64 \
	$(bindir)/qemu-system-mips \
	$(bindir)/qemu-system-mipsel \
	$(bindir)/qemu-system-arm \
	$(bindir)/qemu-i386 \
        $(bindir)/qemu-arm \
        $(bindir)/qemu-armeb \
        $(bindir)/qemu-sparc \
        $(bindir)/qemu-ppc \
        $(bindir)/qemu-mips \
        $(bindir)/qemu-mipsel \
        $(bindir)/qemu-img \
	$(datadir)/bios.bin \
	$(datadir)/vgabios.bin \
	$(datadir)/vgabios-cirrus.bin \
	$(datadir)/ppc_rom.bin \
	$(datadir)/video.x \
	$(datadir)/openbios-sparc32 \
	$(datadir)/linux_boot.bin \
	$(docdir)/qemu-doc.html \
	$(docdir)/qemu-tech.html \
	$(mandir)/man1/qemu.1 $(mandir)/man1/qemu-img.1 )

ifneq ($(wildcard .depend),)
include .depend
endif

=== packages/xen-3.1/xen-3.1/tools/libfsimage/Makefile ===
XEN_ROOT = ../..
include $(XEN_ROOT)/tools/Rules.mk

SUBDIRS-y = common ufs reiserfs iso9660 fat
SUBDIRS-y += $(shell ./check-libext2fs)

.PHONY: all
all install clean:
	@set -e; for subdir in $(SUBDIRS-y); do \
		$(MAKE) -C $$subdir $@; \
	done

distclean: clean

=== packages/xen-3.1/xen-3.1/tools/misc/Makefile ===
XEN_ROOT=../..
include $(XEN_ROOT)/tools/Rules.mk

CFLAGS   += -Werror

INCLUDES += -I $(XEN_XC)
INCLUDES += -I $(XEN_LIBXC)
CFLAGS   += $(INCLUDES)

HDRS     = $(wildcard *.h)

TARGETS-y := xenperf
TARGETS-$(CONFIG_X86) += xen-detect
TARGETS := $(TARGETS-y)

INSTALL_BIN  = $(TARGETS) xencons
INSTALL_SBIN = netfix xm xen-bugtool xen-python-path xend xenperf

.PHONY: all
all: build

.PHONY: build
build: $(TARGETS)
	$(MAKE) -C miniterm
	$(MAKE) -C lomount

.PHONY: install
install: build
	[ -d $(DESTDIR)/usr/bin ] || $(INSTALL_DIR) $(DESTDIR)/usr/bin
	[ -d $(DESTDIR)/usr/sbin ] || $(INSTALL_DIR) $(DESTDIR)/usr/sbin
	$(INSTALL_PROG) $(INSTALL_BIN) $(DESTDIR)/usr/bin
	$(INSTALL_PROG) $(INSTALL_SBIN) $(DESTDIR)/usr/sbin
	$(MAKE) -C lomount install
#       No sense in installing miniterm on the Xen box.
#	$(MAKE) -C miniterm install

.PHONY: clean
clean:
	$(RM) *.o $(TARGETS) *~
	$(MAKE) -C miniterm clean
	$(MAKE) -C lomount clean

%.o: %.c $(HDRS) Makefile
	$(CC) -c $(CFLAGS) -o $@ $<

xenperf: %: %.o Makefile
	$(CC) $(CFLAGS) -o $@ $< -L$(XEN_LIBXC) -lxenctrl

=== packages/xen-3.1/xen-3.1/tools/python/Makefile ===
XEN_ROOT = ../..
include $(XEN_ROOT)/tools/Rules.mk

.PHONY: all
all: build

# For each new supported translation, add its name here, eg 'fr_FR'
# to cause the .po file to be built & installed, eg
LINGUAS :=
POPACKAGE := xen-xm
PODIR := xen/xm/messages
POTFILE := $(PODIR)/xen-xm.pot
I18NSRCFILES = $(shell find xen/xm/ -name '*.py')
CATALOGS = $(patsubst %,xen/xm/messages/%.mo,$(LINGUAS))
NLSDIR = /usr/share/locale

.PHONY: build buildpy
buildpy:
	CC="$(CC)" CFLAGS="$(CFLAGS)" python setup.py build

build: buildpy refresh-pot refresh-po $(CATALOGS)

# NB we take care to only update the .pot file it strings have
# actually changed. This is complicated by the embedded date
# string, hence the sed black magic. This avoids the expensive
# re-generation of .po files on every single build
refresh-pot: $(I18NSRCFILES)
	xgettext --default-domain=$(POPACAKGE) \
		--keyword=N_ \
		--keyword=_ \
		-o $(POTFILE)-tmp \
		$(I18NSRCFILES)
	sed -f remove-potcdate.sed < $(POTFILE) > $(POTFILE)-1
	sed -f remove-potcdate.sed < $(POTFILE)-tmp > $(POTFILE)-2
	if cmp -s $(POTFILE)-1 $(POTFILE)-2; then \
		rm -f $(POTFILE)-tmp $(POTFILE)-1 $(POTFILE)-2; \
	else \
		mv $(POTFILE)-tmp $(POTFILE); \
                rm -f $(POTFILE)-1 $(POTFILE)-2; \
	fi

refresh-po: $(POTFILE)
	for l in $(LINGUAS); do \
		if $(MSGMERGE) $(PODIR)/$$l.po $(POTFILE) > $(PODIR)/$$l-tmp ; then \
			mv -f $(PODIR)/$$l-tmp $(PODIR)/$$l.po ; \
			echo "$(MSGMERGE) of $$l.po succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$l.po failed" ; \
			rm -f $(PODIR)/$$l-tmp ; \
		fi \
	done

%.mo: %.po
	$(MSGFMT) -c -o $@ $<

.PHONY: install
ifndef XEN_PYTHON_NATIVE_INSTALL
install: LIBPATH=$(shell PYTHONPATH=xen/util python -c "import auxbin; print auxbin.libpath()")
install: install-messages install-dtd
	CC="$(CC)" CFLAGS="$(CFLAGS)" python setup.py install --home="$(DESTDIR)/usr" --prefix="" --force --install-lib="$(DESTDIR)$(LIBPATH)/python"
else
install: install-messages install-dtd
	CC="$(CC)" CFLAGS="$(CFLAGS)" python setup.py install --root="$(DESTDIR)" --force
endif

install-dtd: all
	$(INSTALL_DIR) $(DESTDIR)/usr/share/xen
	$(INSTALL_DATA) xen/xm/create.dtd $(DESTDIR)/usr/share/xen

install-messages: all
	if which $(MSGFMT) >/dev/null ; then \
		mkdir -p $(DESTDIR)$(NLSDIR); \
		for l in $(LINGUAS); do \
			$(INSTALL_DIR) $(DESTDIR)$(NLSDIR)/$$l; \
			$(INSTALL_DIR) $(DESTDIR)$(NLSDIR)/$$l/LC_MESSAGES; \
			$(INSTALL_DATA) $(PODIR)/$$l.mo \
				$(DESTDIR)$(NLSDIR)/$$l/LC_MESSAGES/$(POPACKAGE).mo; \
		done ; \
	fi

.PHONY: test
test:
	export LD_LIBRARY_PATH=$$(readlink -f ../libxc):$$(readlink -f ../xenstore); python test.py -b -u

.PHONY: clean
clean:
	rm -rf build *.pyc *.pyo *.o *.a *~ $(CATALOGS)

=== packages/xen-3.1/xen-3.1/tools/xenmon/Makefile ===
# Copyright (C) HP Labs, Palo Alto and Fort Collins, 2005
# Author: Diwaker Gupta <diwaker.gupta@hp.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; under version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

XEN_ROOT=../..
include $(XEN_ROOT)/tools/Rules.mk

sbindir=/usr/sbin

CFLAGS  += -Werror
CFLAGS  += -I $(XEN_XC)
CFLAGS  += -I $(XEN_LIBXC)
LDFLAGS += -L $(XEN_LIBXC)

BIN = xentrace_setmask xenbaked
SCRIPTS = xenmon.py

.PHONY: all
all: build

.PHONY: build
build: $(BIN)

.PHONY: install
install: build
	[ -d $(DESTDIR)$(sbindir) ] || $(INSTALL_DIR) $(DESTDIR)$(sbindir)
	$(INSTALL_PROG) xenbaked $(DESTDIR)$(sbindir)/xenbaked
	$(INSTALL_PROG) xentrace_setmask  $(DESTDIR)$(sbindir)/xentrace_setmask
	$(INSTALL_PROG) xenmon.py  $(DESTDIR)$(sbindir)/xenmon.py

.PHONY: clean
clean:
	rm -f $(BIN)


%: %.c Makefile
	$(CC) $(CFLAGS) $(LDFLAGS) -lxenctrl -o $@ $<
xentrace_%: %.c Makefile
	$(CC) $(CFLAGS) $(LDFLAGS) -lxenctrl -o $@ $<

=== packages/xen-3.1/xen-3.1/tools/xenstore/Makefile ===
XEN_ROOT=../..
include $(XEN_ROOT)/tools/Rules.mk
XEN_LIBXC          = $(XEN_ROOT)/tools/libxc

MAJOR = 3.0
MINOR = 0

PROFILE=#-pg
BASECFLAGS=-Werror
# Make gcc generate dependencies.
BASECFLAGS += -Wp,-MD,.$(@F).d
PROG_DEP = .*.d
BASECFLAGS+= $(PROFILE)
#BASECFLAGS+= -I$(XEN_ROOT)/tools
BASECFLAGS+= -I$(XEN_ROOT)/tools/libxc
BASECFLAGS+= -I.

CFLAGS  += $(BASECFLAGS)
LDFLAGS += $(PROFILE) -L$(XEN_LIBXC)
TESTDIR  = testsuite/tmp
TESTFLAGS= -DTESTING
TESTENV  = XENSTORED_ROOTDIR=$(TESTDIR) XENSTORED_RUNDIR=$(TESTDIR)

CLIENTS := xenstore-exists xenstore-list xenstore-read xenstore-rm xenstore-chmod
CLIENTS += xenstore-write
CLIENTS_OBJS := $(patsubst xenstore-%,xenstore_%.o,$(CLIENTS))

XENSTORED_OBJS = xenstored_core.o xenstored_watch.o xenstored_domain.o xenstored_transaction.o xs_lib.o talloc.o utils.o tdb.o hashtable.o

XENSTORED_OBJS_$(CONFIG_Linux) = xenstored_linux.o
XENSTORED_OBJS_$(CONFIG_SunOS) = xenstored_solaris.o

XENSTORED_OBJS += $(XENSTORED_OBJS_y)

.PHONY: all
all: libxenstore.so libxenstore.a xenstored $(CLIENTS) xs_tdb_dump xenstore-control xenstore-ls

test_interleaved_transactions: test_interleaved_transactions.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -L. -lxenstore -o $@

.PHONY: testcode
testcode: xs_test xenstored_test xs_random

xenstored: $(XENSTORED_OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -lxenctrl $(SOCKET_LIBS) -o $@

$(CLIENTS): xenstore-%: xenstore_%.o libxenstore.so
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LOADLIBES) $(LDLIBS) -L. -lxenstore $(SOCKET_LIBS) -o $@

$(CLIENTS_OBJS): xenstore_%.o: xenstore_client.c
	$(COMPILE.c) -DCLIENT_$(*F) -o $@ $<

xenstore-control: xenstore_control.o libxenstore.so
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LOADLIBES) $(LDLIBS) -L. -lxenstore $(SOCKET_LIBS) -o $@

xenstore-ls: xsls.o libxenstore.so
	$(CC) $(CFLAGS) $(LDFLAGS) $< $(LOADLIBES) $(LDLIBS) -L. -lxenstore $(SOCKET_LIBS) -o $@

xenstored_test: xenstored_core_test.o xenstored_watch_test.o xenstored_domain_test.o xenstored_transaction_test.o xs_lib.o talloc_test.o fake_libxc.o utils.o tdb.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

xs_tdb_dump: xs_tdb_dump.o utils.o tdb.o talloc.o
	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@

xs_test xs_random xs_stress xs_crashme: LDFLAGS+=-lpthread
xs_test: xs_test.o xs_lib.o utils.o
xs_random: xs_random.o xs_test_lib.o xs_lib.o talloc.o utils.o
xs_stress: xs_stress.o xs_test_lib.o xs_lib.o talloc.o utils.o
xs_crashme: xs_crashme.o xs_lib.o talloc.o utils.o

speedtest: speedtest.o xs.o xs_lib.o utils.o talloc.o

.PHONY: check-speed
check-speed: speedtest xenstored_test $(TESTDIR)
	$(TESTENV) time ./speedtest 100

xs_test.o xs_stress.o xenstored_core_test.o xenstored_watch_test.o xenstored_transaction_test.o xenstored_domain_test.o xs_random.o xs_test_lib.o talloc_test.o fake_libxc.o xs_crashme.o: CFLAGS=$(BASECFLAGS) $(TESTFLAGS)

xenstored_%_test.o: xenstored_%.c
	$(COMPILE.c) -o $@ $<

xs_test_lib.o: xs.c
	$(COMPILE.c) -o $@ $<

talloc_test.o: talloc.c
	$(COMPILE.c) -o $@ $<

libxenstore.so: libxenstore.so.$(MAJOR)
	ln -sf $< $@
libxenstore.so.$(MAJOR): libxenstore.so.$(MAJOR).$(MINOR)
	ln -sf $< $@

libxenstore.so.$(MAJOR).$(MINOR): xs.opic xs_lib.opic
	$(CC) $(CFLAGS) $(LDFLAGS) -Wl,$(SONAME_LDFLAG) -Wl,libxenstore.so.$(MAJOR) $(SHLIB_CFLAGS) -o $@ $^ $(SOCKET_LIBS) -lpthread

libxenstore.a: xs.o xs_lib.o
	$(AR) rcs libxenstore.a $^

.PHONY: clean
clean: testsuite-clean
	rm -f *.a *.o *.opic *.so*
	rm -f xenstored xs_random xs_stress xs_crashme
	rm -f xs_test xenstored_test xs_tdb_dump xenstore-control xenstore-ls
	rm -f $(CLIENTS)
	$(RM) $(PROG_DEP)

.PHONY: print-dir
print-dir:
	@echo -n tools/xenstore: 

.PHONY: print-end
print-end:
	@echo

.PHONY: check
check: print-dir testsuite-fast randomcheck-fast print-end

.PHONY: fullcheck
fullcheck: testsuite-run randomcheck stresstest

$(TESTDIR):
	mkdir $@

.PHONY: testsuite-run
testsuite-run: xenstored_test xs_test $(TESTDIR)
	$(TESTENV) testsuite/test.sh && echo

.PHONY: testsuite-fast
testsuite-fast: xenstored_test xs_test $(TESTDIR)
	@$(TESTENV) testsuite/test.sh --fast

.PHONY: testsuite-clean
testsuite-clean:
	rm -rf $(TESTDIR)

# Make this visible so they can see repeat tests without --fast if they
# fail.
RANDSEED=$(shell date +%s)
.PHONY: randomcheck
randomcheck: xs_random xenstored_test $(TESTDIR)
	$(TESTENV) ./xs_random --simple --fast /tmp/xs_random 200000 $(RANDSEED) && echo
	$(TESTENV) ./xs_random --fast /tmp/xs_random 100000 $(RANDSEED) && echo
#	$(TESTENV) ./xs_random --fail /tmp/xs_random 10000 $(RANDSEED)

.PHONY: crashme
crashme:  xs_crashme xenstored_test $(TESTDIR)
	rm -rf $(TESTDIR)/store $(TESTDIR)/transactions /tmp/xs_crashme.vglog* /tmp/trace
	export $(TESTENV); ./xs_crashme 5000 $(RANDSEED) 2>/dev/null
	if [ -n "`cat /tmp/xs_crashme.vglog*`" ]; then echo Valgrind complained; cat /tmp/xs_crashme.vglog*; exit 1; fi
	rm -rf $(TESTDIR)/store $(TESTDIR)/transactions /tmp/xs_crashme.vglog* /tmp/trace

.PHONY: randomcheck-fast
randomcheck-fast: xs_random xenstored_test $(TESTDIR)
	@$(TESTENV) ./xs_random --fast /tmp/xs_random 2000 $(RANDSEED)

.PHONY: stresstest
stresstest: xs_stress xenstored_test $(TESTDIR)
	rm -rf $(TESTDIR)/store $(TESTDIR)/transactions
	export $(TESTENV); PID=`./xenstored_test --output-pid --trace-file=/tmp/trace`; ./xs_stress 5000; ret=$$?; kill $$PID; exit $$ret

.PHONY: TAGS
TAGS:
	etags `find . -name '*.[ch]'`

.PHONY: tarball
tarball: clean
	cd .. && tar -c -j -v -h -f xenstore.tar.bz2 xenstore/

.PHONY: install
install: all
	$(INSTALL_DIR) $(DESTDIR)/var/run/xenstored
	$(INSTALL_DIR) $(DESTDIR)/var/lib/xenstored
	$(INSTALL_DIR) $(DESTDIR)/usr/bin
	$(INSTALL_DIR) $(DESTDIR)/usr/sbin
	$(INSTALL_DIR) $(DESTDIR)/usr/include
	$(INSTALL_PROG) xenstored $(DESTDIR)/usr/sbin
	$(INSTALL_PROG) $(CLIENTS) $(DESTDIR)/usr/bin
	$(INSTALL_PROG) xenstore-control $(DESTDIR)/usr/bin
	$(INSTALL_PROG) xenstore-ls $(DESTDIR)/usr/bin
	$(INSTALL_DIR) $(DESTDIR)/usr/$(LIBDIR)
	$(INSTALL_PROG) libxenstore.so.$(MAJOR).$(MINOR) $(DESTDIR)/usr/$(LIBDIR)
	ln -sf libxenstore.so.$(MAJOR).$(MINOR) $(DESTDIR)/usr/$(LIBDIR)/libxenstore.so.$(MAJOR)
	ln -sf libxenstore.so.$(MAJOR) $(DESTDIR)/usr/$(LIBDIR)/libxenstore.so
	$(INSTALL_DATA) libxenstore.a $(DESTDIR)/usr/$(LIBDIR)
	$(INSTALL_DATA) xs.h $(DESTDIR)/usr/include
	$(INSTALL_DATA) xs_lib.h $(DESTDIR)/usr/include

-include $(PROG_DEP)

# never delete any intermediate files.
.SECONDARY:

=== packages/sipb-xen-database/sipb-xen-database/debian/changelog ===
sipb-xen-database (6) unstable; urgency=low

  * Adding a script to create lvm volumes

 -- Nelson Elhage <nelhage@mit.edu>  Sat, 22 Sep 2007 13:59:36 -0400

sipb-xen-database (5) unstable; urgency=low

  * Change the host from sipb-vm-1 to sipb-xen-dev

 -- Nelson Elhage <nelhage@mit.edu>  Sat,  8 Sep 2007 16:16:07 -0400

sipb-xen-database (4) unstable; urgency=low

  * Add script=vif-sipbroute to our vif lines

 -- Nelson Elhage <nelhage@mit.edu>  Fri, 24 Aug 2007 22:07:18 -0400

sipb-xen-database (3) unstable; urgency=low

  * Add a connect() line to sipb-database
  * Fix some other bugs in sipb-database

 -- Nelson Elhage <nelhage@mit.edu>  Sun, 19 Aug 2007 19:40:08 -0400

sipb-xen-database (2) unstable; urgency=low

  * Fix the postinit and prerm scripts to create a sipb-xen user

 -- Nelson Elhage <nelhage@mit.edu>  Thu, 16 Aug 2007 16:27:36 -0400

sipb-xen-database (1) unstable; urgency=low

  * Initial Release.

 -- Nelson Elhage <nelhage@mit.edu>  Sun, 15 Jul 2007 16:01:16 -0400

=== packages/sipb-xen-dom0/sipb-xen-dom0/debian/changelog ===
sipb-xen-dom0 (2.2) unstable; urgency=low

  * Add qemu-ifup script that depends on the device model script and
    invokes vif-sipbroute.    As a consequence, we don't really support
    bridged hvms any more.  It's not clear how to get enough information
    out of qemu to do this.
  * Call arpspoof with 18.181.0.1's address.  This is unfortunate in two
    ways.  First, if we renumber we'll need to update the script.  Second,
    it is possible that someone on 18.181 besides the router may have an
    address cached.  Unfortunately, it doesn't work right if we don't
    send the spoofed arp directly to the router.

 -- Sam Hartman <hartmans@debian.org>  Sun, 26 Aug 2007 18:57:17 -0400

sipb-xen-dom0 (2.1) unstable; urgency=low

  * Fix typo in init script 
  * depend  on dsniff for arpspoof

 -- Sam Hartman <hartmans@debian.org>  Fri, 24 Aug 2007 17:22:20 -0400

sipb-xen-dom0 (2) unstable; urgency=low

  * Add qemu-dm-sipb written by andersk to get us the  domain ID in qemu-ifup 
  * Add vif-sipbroute, a version of vif-route that does better netwwork
    isolation and has initial but useless ipv6 support.  This version also
    uses arpspoof to take over an address for domain migrations.   
  * Add init script to enable rp_filter, proxy_arp and forwarding for the network config.

 -- Sam Hartman <hartmans@debian.org>  Fri, 24 Aug 2007 17:17:23 -0400

sipb-xen-dom0 (1) unstable; urgency=low

  *  First version

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 20:20:32 -0400

=== packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/debian/changelog ===
sipb-xen-remctl-auto (1.0.1) unstable; urgency=low

  * Stop scaring me with unquoted variables.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 05 Aug 2007 22:11:02 -0400

sipb-xen-remctl-auto (1.0) unstable; urgency=low

  * Initial release.

 -- Tim Abbott <tabbott@mit.edu>  Sun, 15 Jul 2007 19:37:05 -0400

=== packages/xen-common/xen-common/debian/changelog ===
xen-common (3.1.0-0-1sipb1) unstable; urgency=low

  * Version for black-mesa

 -- Sam Hartman <hartmans@debian.org>  Sat,  4 Aug 2007 18:39:53 -0400

xen-common (3.1.0-0-1) UNRELEASED; urgency=low

  [ Julien Danjou ]
  * New upstream version
  * Remove interpreters patch, not useful anymore

  [ Guido Trotter ]
  * Handle gracefully domains called Name.* (closes: #432583)

  [ Ralph Passgang ]
  * create directories with mkdir's "-p" option
  * create $(BUILD_DIR)/docs/out before pod2man is executed.

 -- Guido Trotter <ultrotter@debian.org>  Tue, 10 Jul 2007 21:21:51 +0100

xen-common (3.0.4-1-2) unstable; urgency=low

  * Hide error message when xen-utils-version is not there (closes: #422667)
    (Thanks to Vincent Bernat)

 -- Guido Trotter <ultrotter@debian.org>  Tue, 19 Jun 2007 10:10:27 +0100

xen-common (3.0.4-1-1) unstable; urgency=low

  [ Julien Danjou ]
  * Fix typo in init.d script (Closes: #404078)

  [ Guido Trotter ]
  * New upstream release
  * Fix xendomains init.d script for long domain names (Closes: #395305)

 -- Guido Trotter <ultrotter@debian.org>  Wed, 23 May 2007 13:24:53 +0100

xen-common (3.0.3-0-2) unstable; urgency=medium

  * Make xen-utils-common depend on udev (closes: #398372)

 -- Guido Trotter <ultrotter@debian.org>  Mon, 13 Nov 2006 14:07:43 +0000

xen-common (3.0.3-0-1) unstable; urgency=medium

  [ Bastian Blank ]
  * Add manpages. (Closes: #394931)

  [ Julien Danjou ]
  * Don't fail on loading netloop if it does not exist (Closes: #396477)

  [ Guido Trotter ]
  * New upstream release

 -- Guido Trotter <ultrotter@debian.org>  Thu,  2 Nov 2006 16:41:17 +0000

xen-common (3.0+hg11624-2) unstable; urgency=low

  * Add qemu-ifup script.

 -- Bastian Blank <waldi@debian.org>  Sun,  8 Oct 2006 17:01:05 +0000

xen-common (3.0+hg11624-1) unstable; urgency=medium

  * New upstream snapshot.
  * Load netloop module if necessary. (closes: #388352)
  * Set urgency to medium.

 -- Bastian Blank <waldi@debian.org>  Wed, 27 Sep 2006 09:15:40 +0000

xen-common (3.0+hg11292-2) unstable; urgency=low

  * Add lsb init info blocks.
  * Don't fail if no working xend is available.

 -- Bastian Blank <waldi@debian.org>  Sat,  9 Sep 2006 11:37:52 +0000

xen-common (3.0+hg11292-1) unstable; urgency=low

  * New upstream snapshot.
  * Create /var/log/xen.

 -- Bastian Blank <waldi@debian.org>  Sat,  2 Sep 2006 16:28:41 +0000

xen-common (3.0+hg11205-1) unstable; urgency=low

  * Initial release.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Aug 2006 17:46:22 +0000

=== packages/sipb-xen-database/sipb-xen-database/debian/control ===
Source: sipb-xen-database
Section: net
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.2.0), debhelper (>= 5.0.37.2), cdbs (>= 0.4.43), python-dev (>= 2.3.5-11), python-support (>= 0.3.2), python-support (>= 0.5.3)
Standards-Version: 3.7.2

Package: sipb-xen-database-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, postgresql-8.1, python-sqlalchemy, python-psycopg2
Provides: ${python:Provides}
Description: Installs the SIPB Xen database schema files
 This contains the python modules to access the SIPB Xen database

Package: sipb-xen-database-server
Architecture: all
Depends: ${misc:Depends}, postgresql-8.1, python-sqlalchemy, python-psycopg2, sipb-xen-database-common
Description: Installs the SIPB Xen database server
 This tracks all the user VMs and is accessed from the VM host

Package: sipb-xen-database-client
Architecture: all
Depends: ${misc:Depends}, python-sqlalchemy, python-psycopg2, sipb-xen-database-common
Description: Installs the SIPB Xen database configuration file
 This is a python xen configuration script that talks to the database
 to dynamically load xen domU configuration information

=== packages/sipb-xen-dom0/sipb-xen-dom0/debian/control ===
Source: sipb-xen-dom0
Section: base
Priority: extra
Maintainer: SIPB Xen Project <sipb-xen@mit.edu>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 4.1.0)
Standards-Version: 3.7.2

Package: sipb-xen-dom0
Architecture: all
Depends: ${misc:Depends},  emacs21, dhcp3-server, nullmailer, dsniff, xen-hypervisor-3.1.0-1-amd64, xen-ioemu-3.1.0-1, xen-utils-3.1.0-1, xen-utils-common, lvm2, grub, linux-image-2.6.18-4-xen-amd64
Description: SIPB Xen domain 0 configuration
 This package includes the dependencies and configuration for 
 a domain 0 sipb-xen server.

=== packages/xen-3.1/xen-3.1/debian/control ===
Source: xen-3.1
Section: misc
Priority: extra
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>, Jeremy T. Bouse <jbouse@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: debhelper (>= 5.0.37.2), python-dev (>= 2.3), libsdl1.2-dev, bcc, dpatch, lsb-release, python-central (>= 0.5), zlib1g-dev, libncurses5-dev, x11proto-core-dev, libssl-dev, libcrypto++-dev
Build-Depends-Indep: transfig, tetex-bin, tetex-extra, gs-common, graphviz
XS-Python-Version: current

Package: xen-docs-3.1
Architecture: all
Description: documentation for XEN, a Virtual Machine Monitor
 This package contains all the large documentation files for XEN.  This
 includes a description interface(both the api, and a nice explanation of
 how XEN works).  It also contains the VBD and Xeno howtos.

Package: xen-utils-3.1.0-1
Architecture: amd64 i386
Provides: xen-utils
Depends: ${shlibs:Depends}, ${python:Depends}, xen-utils-common (>= 3.0+hg11624-2), iproute, udev (>> 0.060)
Recommends: bridge-utils, libc6-xen [i386], xen-hypervisor-3.1.0-1
Suggests: xen-docs-3.1
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
XB-Python-Version: ${python:Versions}

Package: xen-ioemu-3.1.0-1
Architecture: amd64 i386
Depends: ${shlibs:Depends}, xen-utils-3.1.0-1 (= ${Source-Version})
Description: XEN administrative tools
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.
 .
 This package includes the utilities required to support HVM domains, which
 allows full virtualization of unmodified operating systems, such as
 Microsoft's Windows product line, and standard Linux kernels.
 .
 For this to work, you will need a CPU with hardware virtualization
 support, such as Intel's CPUs with VT, or AMD's CPUs with Pacifica.

Package: xen-hypervisor-3.1.0-1-amd64
Architecture: amd64
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-amd64
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on AMD64
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-hypervisor-3.1.0-1-i386
Architecture: i386
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-i386
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on i386
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 This version of the hypervisor is built with support for systems with up
 to 4GB of memory.  If you have more please install the -pae version
 instead.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

Package: xen-hypervisor-3.1.0-1-i386-pae
Architecture: i386
Provides: xen-hypervisor, xen-hypervisor-3.1, xen-hypervisor-3.1.0-1, xen-hypervisor-i386-pae
Depends: xen-utils-3.1.0-1
Suggests: xen-docs-3.1
Description: The Xen Hypervisor on i386 with pae
 The hypervisor is the "core" for XEN itself.  It gets booted by the boot
 loader and controls cpu and memory, sharing them between your
 administrative domain (Domain 0) and the virtual guest systems.
 .
 This version of the hypervisor is built with PAE enabled, in order to
 support systems with more than 4GB of memory.  If you have less than that
 you should probably choose the non -pae version.
 .
 In order to boot a XEN system along with this package you also need a
 kernel specifically crafted to work as the Domain 0, mediating hardware
 access for XEN itself.

=== packages/xen-common/xen-common/debian/control ===
Source: xen-common
Section: admin
Priority: optional
Maintainer: Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>, Jeremy T. Bouse <jbouse@debian.org>, Guido Trotter <ultrotter@debian.org>, Bastian Blank <waldi@debian.org>
Standards-Version: 3.7.2.0
Build-Depends: debhelper (>= 5.0.37.2), dpatch

Package: xen-utils-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), udev (>> 0.060)
Conflicts: xen-utils-3.0, xen, libxen-python, libxen2.0, libxen2.0-dev
Replaces: xen-utils-3.0, xen-ioemu-3.0, xen-ioemu-3.0-unstable, xen
Description: XEN administrative tools - common files
 The userspace tools to manage a system virtualized through the XEN virtual
 machine monitor.

=== packages/xen-3.1/xen-3.1/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH  := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

VERSION := $(shell dpkg-parsechangelog | perl -ne '/^Version:\s+(\S+)-[^-]+$$/ && print $$1;')

include debian/rules.defs

setup: $(STAMPS_DIR)/setup-base
$(STAMPS_DIR)/setup-base: debian/control $(BUILD_DIR) $(STAMPS_DIR)
	dh_testdir
	$(MAKE) -f debian/rules.gen setup-$(DEB_HOST_ARCH)
	touch $@

build: debian/control $(STAMPS_DIR)/build-base
$(STAMPS_DIR)/build-base: $(STAMPS_DIR)/setup-base
	dh_testdir
	$(MAKE) -f debian/rules.gen build-$(DEB_HOST_ARCH)
	touch $@

$(BUILD_DIR) $(STAMPS_DIR):
	@[ -d $@ ] || mkdir $@

maintainerclean:
	rm -f debian/control* debian/rules.gen debian/xen-hypervisor-* debian/xen-utils-*
	rm -rf $(filter-out .svn debian, $(wildcard * .[^.]*))

clean: debian/control
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
	dh_clean

binary-indep:
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-indep

binary-arch:
	dh_testdir
	$(MAKE) -f debian/rules.gen binary-arch-$(DEB_HOST_ARCH)

binary:	binary-indep binary-arch

DIR_ORIG = ../orig/xen-$(MAJOR)-$(VERSION)

orig: $(DIR_ORIG)
	rsync --delete --exclude debian --exclude .svn --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

# This is to make dpatch-edit-patch work
unpatch: clean                                 

CONTROL_FILES += debian/changelog $(wildcard debian/templates/control.*) 
CONTROL_FILES += $(wildcard debian/arch/defines) $(wildcard debian/arch/*/defines)
GENCONTROL = $(__MODULES_DIR)gencontrol.py
debian/control debian/rules.gen: $(CONTROL_FILES)
	if [ -f debian/control ] && [ -f debian/control.md5sum ] && [ -f debian/rules.gen ]; then \
		if md5sum $^ | diff - debian/control.md5sum > /dev/null; then true; else \
			$(MAKE) -f debian/rules debian/control-real; \
		fi \
	else \
		$(MAKE) -f debian/rules debian/control-real; \
	fi


debian/control-real: $(CONTROL_FILES)
	debian/bin/gencontrol.py $(KERNELVERSION) /usr/src/linux-support-$(KERNELVERSION)
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: clean build binary-indep binary-arch binary

=== packages/xen-common/xen-common/debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | perl -ne '/^Version:\s+(\S+)-[^-]+$$/ && print $$1;')

BUILD_DIR = debian/build
STAMPS_DIR = debian/stamps

srcfiles := $(filter-out debian, $(wildcard * .[^.]*))
source: $(STAMPS_DIR)/source
$(STAMPS_DIR)/source: $(STAMPS_DIR)
	dh_testdir
	@rm -rf $(BUILD_DIR)
	mkdir -p $(BUILD_DIR)
	cp -a $(srcfiles) $(BUILD_DIR)
	dpatch -d $(BUILD_DIR) apply-all
	touch $@

define build_man
	mkdir -p $(BUILD_DIR)/docs/out
	pod2man --release=$(VERSION) --name=$(3) -s $(4) -c Xen $(BUILD_DIR)/docs/man/$(1) $(BUILD_DIR)/docs/out/$(2)
endef

build: $(STAMPS_DIR)/source
	mkdir -p $(BUILD_DIR)/docs/man
	$(call build_man,xend-config.sxp.pod.5,xend-config.sxp.5,xend-config.sxp,5)
	$(call build_man,xmdomain.cfg.pod.5,xmdomain.cfg.5,xmdomain.cfg,5)
	$(call build_man,xm.pod.1,xm.1,xm,1)

clean:
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
	dh_clean

$(BUILD_DIR) $(STAMPS_DIR):
	@[ -d $@ ] || mkdir -p $@

NO_ORIG = .svn debian scripts

DIR_ORIG = ../orig/xen-common-$(VERSION)

orig: $(DIR_ORIG)
	rsync --delete $(foreach t, $(NO_ORIG), --exclude $(t)) --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

# This is to make dpatch-edit-patch work
unpatch: clean

maintainerclean:
	rm -rf $(filter-out $(NO_ORIG), $(wildcard * .[^.]*))

install: $(STAMPS_DIR)/source
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) -C $(BUILD_DIR)/tools/examples install DESTDIR=$(CURDIR)/debian/tmp DISTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C $(BUILD_DIR)/scripts install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: install
	dh_testdir
	dh_testroot
	dh_install --sourcedir=debian/tmp
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installinit -p xen-utils-common --name xend --no-restart-on-upgrade -- defaults 20 21
	dh_installinit -p xen-utils-common --name xendomains --no-start -- defaults 21 20
	dh_installman $(BUILD_DIR)/docs/man/*
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: build binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install #PHONY_CONFIGURE#
